import request from '@/utils/request'

// 档案移交申请列表
export function getTransferRecordListApi(params) {
    return request({
        url: '/smartArchives/transferRecord/getTransferRecordList',
        method: 'GET',
        params: params,
    })
}

// 移交清单
export function getTransferRecordFilesApi(params) {
    return request({
        url: '/smartArchives/transferRecord/getTransferRecordFiles',
        method: 'GET',
        params: params,
    })
}

// 维护
export function updateTransferRecordFileApi(data) {
    return request({
        url: '/smartArchives/transferRecord/updateTransferRecordFile',
        method: 'POST',
        data,
    })
}

// 移交
export function updateTransferRecordFilesStatusApi(data) {
    return request({
        url: '/smartArchives/transferRecord/updateTransferRecordFilesStatus',
        method: 'POST',
        data,
    })
}

// 详情
export function getTransferRecordDetailApi(params) {
    return request({
        url: '/smartArchives/transferRecord/getTransferRecordDetail',
        method: 'GET',
        params: params,
    })
}
